summaryrefslogtreecommitdiffstats
path: root/network/grsync
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-11 20:01:33 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:01:33 +0200
commite6e9cce83571f6fe00a525af78e4400ef24cbeab (patch)
treee9024318d7868b3cd484ed09ad044e29950bac71 /network/grsync
parent703aba7fff2ef72768f0ea1361844a2ae55e6c80 (diff)
downloadslackbuilds-e6e9cce83571f6fe00a525af78e4400ef24cbeab.tar.gz
slackbuilds-e6e9cce83571f6fe00a525af78e4400ef24cbeab.tar.xz
network/grsync: Added to 12.0 repository
Diffstat (limited to 'network/grsync')
-rw-r--r--network/grsync/README9
-rw-r--r--network/grsync/doinst.sh3
-rw-r--r--network/grsync/grsync.SlackBuild73
-rw-r--r--network/grsync/grsync.info8
-rw-r--r--network/grsync/slack-desc19
5 files changed, 112 insertions, 0 deletions
diff --git a/network/grsync/README b/network/grsync/README
new file mode 100644
index 0000000000..c676df10b0
--- /dev/null
+++ b/network/grsync/README
@@ -0,0 +1,9 @@
+Grsync (GUI for rsync)
+
+Grsync is a GUI (Graphical User Interface) for rsync, the commandline
+directory synchronization tool.
+It is in beta stage and doesn't support all of rsync features,
+but can be effectively used to synchronize local directories
+and supports remote targets in a limited way.
+
+Homepage: http://www.opbyte.it/grsync/
diff --git a/network/grsync/doinst.sh b/network/grsync/doinst.sh
new file mode 100644
index 0000000000..a3604df33d
--- /dev/null
+++ b/network/grsync/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
+fi
diff --git a/network/grsync/grsync.SlackBuild b/network/grsync/grsync.SlackBuild
new file mode 100644
index 0000000000..99939aee29
--- /dev/null
+++ b/network/grsync/grsync.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for grsync
+
+# (C) 2007 Michael Wagner <lapinours@web.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=grsync
+VERSION=0.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+gzip -9 $PKG/usr/man/man1/* 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/grsync/grsync.info b/network/grsync/grsync.info
new file mode 100644
index 0000000000..22f5fe366e
--- /dev/null
+++ b/network/grsync/grsync.info
@@ -0,0 +1,8 @@
+PRGNAM="grsync"
+VERSION="0.6"
+HOMEPAGE="http://www.opbyte.it/grsync/"
+DOWNLOAD="http://www.opbyte.it/release/grsync-0.6.tar.gz"
+MD5SUM="1d5fa63fe80e4af893b7594ff55c6003"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="BP{k}"
diff --git a/network/grsync/slack-desc b/network/grsync/slack-desc
new file mode 100644
index 0000000000..17117a23bf
--- /dev/null
+++ b/network/grsync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+grsync: Grsync (GUI for rsync)
+grsync:
+grsync: Grsync is a GUI (Graphical User Interface) for rsync, the commandline
+grsync: directory synchronization tool.
+grsync: It is in beta stage and doesn't support all of rsync features,
+grsync: but can be effectively used to synchronize local directories
+grsync: and supports remote targets in a limited way.
+grsync:
+grsync: Homepage: http://www.opbyte.it/grsync/
+grsync:
+grsync: